%define upstream_name    Physics-Psychrometry
%define upstream_version 1.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Perl extension for calculating Psychrometric 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Physics/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module allows you to calculates a variety of Psychrometric values for moist air with Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.200.0-9.mga8
+ Revision: 1496560
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.200.0-8.mga7
+ Revision: 1270521
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-7.mga6
+ Revision: 1032061
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.200.0-6.mga6
+ Revision: 949499
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.200.0-5.mga5
+ Revision: 789963
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.200.0-4.mga5
+ Revision: 745137
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.200.0-3.mga5
+ Revision: 685971
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.200.0-2.mga4
+ Revision: 525133
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 1.200.0-1.mga4
+ Revision: 432375
- update to 1.2

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 371799
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.100.0-1.mga3
+ Revision: 255303
- update to 1.1

* Sat Dec 03 2011 kharec <kharec> 1.0.0-1.mga2
+ Revision: 175379
- imported package perl-Physics-Psychrometry


* Sat Dec 03 2011 cpan2dist 1.0-1mga
- initial mageia release, generated with cpan2dist
